1 Reply Latest reply: Mar 18, 2013 7:52 PM by roaminggnome
h.hancock Level 1 Level 1 (0 points)

The ipod wont run properly if i dont have ios 6.0.1. . Can someone help me figure out how to downdate my i pod touch 4G?


iPod touch, iOS 6.1.2, normal device